%global momorel 2
%global md5sum_src0 5a9b9d127d5065c0ea2a3c8a3c255597
Name:		totem
Summary:	A sound and video player.
Version: 1.4.2
Release: %{momorel}m
License: 	GPL
Group:		User Interface/Desktops
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.4/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: totem-1.2.0-dbus060.patch
URL: 		http://hadess.net/totem.php3
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: glib-devel >= 2.10.2
BuildPrereq: libgnomeui-devel >= 2.14.1
BuildPrereq: libglade-devel >= 2.5.1
BuildPrereq: gnome-vfs-devel >= 2.14.1
BuildPrereq: gstreamer010-devel >= 0.10.5
BuildPrereq: gst-plugins-base >= 0.10.6
BuildPrereq: gst-plugins-good >= 0.10.3
#BuildPrereq: xine-lib >= 1.1.1
BuildPrereq: nautilus-cd-burner-devel >= 2.14.1
BuildPrereq: libmusicbrainz-devel >= 2.1.2
BuildPrereq: dbus-devel >= 0.61
Requires: mozilla
Requires: gst-plugins-good
Requires: gnome-screensaver
Prereq: GConf

%description
Totem is simple movie player for the Gnome desktop based on xine. It features asimple playlist, a full-screen mode, seek and volume controls, as well as
a pretty complete keyboard navigation.

%package mozilla-plugin
Summary: A Mozilla plugin using totem
Group: Applications/Internet
Requires: %{name} = %{version}-%{release}
Requires: mozilla

%description mozilla-plugin
Totem is simple movie player for the Gnome desktop based on xine. It features asimple playlist, a full-screen mode, seek and volume controls, as well as
a pretty complete keyboard navigation.

%prep
%setup -q

%build
%configure \
    --enable-gstreamer=0.10 \
    --enable-mozilla \
    --enable-nautilus \
    --enable-lirc \
    --disable-schemas-install \
    --with-dbus
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall MOZILLA_PLUGINDIR=%{buildroot}/usr/%{_lib}/mozilla

desktop-file-install --vendor=  --delete-original  \
    --dir %{buildroot}%{_datadir}/applications        \
    --add-only-show-in GNOME                           \
    %{buildroot}%{_datadir}/applications/totem.desktop

find %{buildroot} -name "*.la" -delete


%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in \
    %{_sysconfdir}/gconf/schemas/totem-video-thumbnail.schemas \
    %{_sysconfdir}/gconf/schemas/totem.schemas \
    %{_sysconfdir}/gconf/schemas/totem-handlers.schemas; do
  gconftool-2 --makefile-install-rule $i > /dev/null
done

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_sysconfdir}/gconf/schemas/totem.schemas
%{_sysconfdir}/gconf/schemas/totem-video-thumbnail.schemas
%{_sysconfdir}/gconf/schemas/totem-handlers.schemas
%{_bindir}/%{name}
%{_bindir}/totem-video-thumbnailer
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.so.*
%{_libdir}/nautilus/extensions-1.0/libtotem-properties-page.*
%{_libdir}/pkgconfig/*
%{_datadir}/%{name}
%{_datadir}/omf/totem
%{_datadir}/pixmaps/*
%{_datadir}/gnome/help/totem
%{_libexecdir}/totem-mozilla-viewer
%{_includedir}/totem/1/plparser/*.h
%{_mandir}/*/*
%{_datadir}/applications/totem.desktop

%files mozilla-plugin
%defattr(-,root,root)
%{_libdir}/mozilla/plugins/libtotem*

%changelog
* Sun Jul  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.2-2m)
- change directory for mozilla plugin
-- separated package plugin

* Thu Jun 29 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.2-1m)
- update to 1.4.2
-- delete libtool library

* Sun May 21 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.1-2m)
- delete patch4: now vfx works with dbus.

* Mon May 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.1-1m)
- update to 1.4.1

* Wed May 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.0-4m)
- fix mozilla version
- add patch1, vfx does not work :-(

* Wed May 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.0-3m)
- add requires gnome-screensaver
- add schemas install totem-handlers.schemas

* Thu Apr 20 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.4.0-2m)
- rebuild against libmusicbrainz

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.0-1m)
- update to 1.4.0

* Sat Feb 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1

* Sat Dec 31 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.2.0-2m)
- add Patch0 totem-1.2.0-dbus060.patch
- add BuildPrereq: dbus-devel >= 0.60

* Tue Nov 22 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (1.2.0-1m)
- version up
- GNOME 2.12.1 Desktop

* Fri Nov  4 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.99.16-3m)
- rebuild against with nautilus-cd-burner-2.8.6-4m (hal-0.5.4)

* Sun Jul 02 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.99.16-2m)
- add BuildPrereq: nautilus-cd-burner-devel

* Thu Mar 10 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (0.99.16-1m)
- version up

* Sun Aug 15 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.99.11-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Sat Apr 24 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.99.11-1m)
- for gnome-2.6

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (0.99.8-2m)
- revised spec for rpm 4.2.

* Mon Dec 15 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (0.99.8-1m)
- version 0.99.8

* Thu Oct 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.99.7-1m)
- version 0.99.7

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.99.6-1m)
- version 0.99.6

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.99.5-1m)
- version 0.99.5

* Tue Jul 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.99.2-1m)
- version 0.99.2

* Mon Jun 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.99.1-1m)
- version 0.99.1

* Mon Jun 02 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.99.0-1m)
- version 0.99.0

* Mon May 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.98.0-1m)
- version 0.98.0


